R_GET_FQ_HOSTNAME(3)

FUNCTION
r_get_fq_hostname - This routine will get the fully qualified local hostname.

SYNOPSIS
#include <karma_r.h>

flag r_get_fq_hostname

(char *name, unsigned int namelen)

DESCRIPTION
This routine will get the fully qualified local hostname.

name
    The hostname will be written here. It is guaranteed to be null terminated.

namelen
    The size of the buffer.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/